Subject: Re: [PATCH net-next 1/1 v2] net: rmnet_data: Initial implementation

From: Subash Abhinov Kasiviswanathan <[email-masked]>
Date: Mon, 13 Mar 2017 16:01:15 -0600

On 2017-03-13 02:54, Jiri Pirko wrote:
> Mon, Mar 13, 2017 at 08:43:09AM CET, [email-masked] wrote:
>> RmNet Data driver provides a transport agnostic MAP (multiplexing and
> 
> Why "data"? Why not just "rmnet"??
> 
> Btw, what is "RmNet". Google does not give me much. Is it some
> priprietady Qualcomm thing? Is there some standard behind it?
> 

Hi Jiri

Rm interface is used to describe an application processor tethered to
Qualcomm Technologies, Inc. modems. Since these are netdevices,
the term RmNet is used. I don't think there are published standards
available for this but I can provide relevant information and
document it as well.

rmnet was used for a USB based physical transport earlier, hence
this platform agnostic multiplexing driver was named as rmnet_data.